unit sXprite;

interface

	uses
{$ifc UNDEFINED THINK_PASCAL}
		Types, QuickDraw, {}
{$endc}
		SAT;

	var
		Xface: FacePtr;

	procedure InitXprite;
	procedure SetupXprite (me: SpritePtr);
	procedure HandleXprite (me: SpritePtr);

implementation

	const
		xpeed = 2;

	procedure InitXprite;
	begin
		Xface := SATGetFace(130);
	end;

	procedure SetupXprite (me: SpritePtr);
	begin
		me^.mode := 0;
		me^.speed.h := xpeed;
		me^.face := Xface;
		me^.task := @HandleXprite;
	end;

	procedure HandleXprite (me: SpritePtr);
	begin
		with me^ do
			begin
				position.h := position.h + speed.h;
				if position.h > gSAT.offSizeH then {400}
					begin
						speed.h := -xpeed;
					end;
				if position.h < -20 then {50}
					begin
						speed.h := xpeed;
					end;
			end;
	end;

end.